org.activiti.engine.history

## Interface ProcessInstanceHistoryLog

-     public interface ProcessInstanceHistoryLog

  A trail of data for a given process instance.
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBusinessKey()` The user provided unique reference to this process instance.
    `String` | `getDeleteReason()` Obtains the reason for the process instance's deletion.
    `Long` | `getDurationInMillis()` The difference between `getEndTime()` and `getStartTime()` .
    `Date` | `getEndTime()` The time the process was ended.
    `List<HistoricData>` | `getHistoricData()` The trail of data, ordered by date (ascending).
    `String` | `getId()` The process instance id (== as the id for the runtime `process instance`).
    `String` | `getProcessDefinitionId()` The process definition reference.
    `String` | `getStartActivityId()` The start activity.
    `Date` | `getStartTime()` The time the process was started.
    `String` | `getStartUserId()` The authenticated user that started this process instance.
    `String` | `getSuperProcessInstanceId()` The process instance id of a potential super process instance or null if no super process instance exists
    `String` | `getTenantId()` The tenant identifier for the process instance.

- - ### Method Detail

    - #### getId

          String getId()

      The process instance id (== as the id for the runtime `process instance`).

    - #### getBusinessKey

          String getBusinessKey()

      The user provided unique reference to this process instance.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      The process definition reference.

    - #### getStartTime

          Date getStartTime()

      The time the process was started.

    - #### getEndTime

          Date getEndTime()

      The time the process was ended.

    - #### getDurationInMillis

          Long getDurationInMillis()

      The difference between `getEndTime()` and `getStartTime()` .

    - #### getStartUserId

          String getStartUserId()

      The authenticated user that started this process instance.
      See Also:
        `IdentityService.setAuthenticatedUserId(String)`

    - #### getStartActivityId

          String getStartActivityId()

      The start activity.

    - #### getDeleteReason

          String getDeleteReason()

      Obtains the reason for the process instance's deletion.

    - #### getSuperProcessInstanceId

          String getSuperProcessInstanceId()

      The process instance id of a potential super process instance or null if no super process instance exists

    - #### getTenantId

          String getTenantId()

      The tenant identifier for the process instance.

    - #### getHistoricData

          List<HistoricData> getHistoricData()

      The trail of data, ordered by date (ascending). Gives a replay of the process instance.

Copyright © 2016 Alfresco. All rights reserved.